{"openapi":"3.1.0","info":{"title":"Yareta API","description":"Repository for Research Datasets","contact":{"email":"yareta-admin@unige.ch"},"license":{"name":"GNU General Public License v2.0 or later","identifier":"GPL-2.0-or-later"},"version":"3.1.7"},"servers":[{"url":"https://ingest.yareta.unige.ch","description":"Generated server url"}],"tags":[{"name":"dlcm"}],"paths":{"/preingest/deposits":{"get":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_list","parameters":[{"name":"access","in":"query","description":"The access level of the deposit.","required":false,"schema":{"type":"string","enum":["PUBLIC","RESTRICTED","CLOSED"]}},{"name":"additionalFieldsFormId","in":"query","description":"The additional fields form ID used to generate the additional fields values.","required":false,"schema":{"type":"string"}},{"name":"additionalFieldsValues","in":"query","description":"Some eventual additional fields values generated through an additional fields form.","required":false,"schema":{"type":"string"}},{"name":"archiveTypeId","in":"query","description":"The archive type identifier of the deposit.","required":false,"schema":{"type":"string"}},{"name":"ark","in":"query","description":"The ARK Identifier of the deposit.","required":false,"schema":{"type":"string"}},{"name":"collectionBegin","in":"query","description":"The start date of the deposit for collecting data.","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"collectionEnd","in":"query","description":"The end date of the deposit for collecting data.","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"containsUpdatedMetadata","in":"query","description":"If the package contains updated metadata.","required":false,"schema":{"type":"boolean"}},{"name":"contentStructurePublic","in":"query","description":"If the archive structure content is public.","required":false,"schema":{"type":"boolean"}},{"name":"dataSensitivity","in":"query","description":"The data sensitivity of the deposit.","required":false,"schema":{"type":"string","enum":["UNDEFINED","BLUE","GREEN","YELLOW","ORANGE","RED","CRIMSON"]}},{"name":"dataUsePolicy","in":"query","description":"The data use policy of the deposit.","required":false,"schema":{"type":"string","enum":["NONE","LICENSE","CLICK_THROUGH_DUA","SIGNED_DUA","EXTERNAL_DUA"]}},{"name":"description","in":"query","description":"The description of the deposit.","required":false,"schema":{"type":"string"}},{"name":"doi","in":"query","description":"The Digital Object Identifier (DOI) of the deposit.","required":false,"schema":{"type":"string"}},{"name":"isIdenticalTo","in":"query","description":"DOI indicates that Archive A is identical to B, used to register two separate instances of the same resource.","required":false,"schema":{"type":"string"}},{"name":"isObsoletedBy","in":"query","description":"DOI indicates A is replaced by B.","required":false,"schema":{"type":"string"}},{"name":"languageId","in":"query","description":"The language identifier of the deposit.","required":false,"schema":{"type":"string"}},{"name":"licenseId","in":"query","description":"The license identifier of the deposit.","required":false,"schema":{"type":"string"}},{"name":"metadataVersion","in":"query","description":"The metadata version of the deposit.","required":false,"schema":{"type":"string","enum":["1.0","1.1","2.0","2.1","3.0","3.1","4.0","5.0"]}},{"name":"organizationalUnitId","in":"query","description":"The organizational unit identifier of the deposit.","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"preparationId","in":"query","description":"The preparation identifier of the deposit.","required":false,"schema":{"type":"string"}},{"name":"preservationPolicyId","in":"query","description":"The preservation policy identifier of the deposit.","required":false,"schema":{"type":"string"}},{"name":"publicationDate","in":"query","description":"The publication date of the deposit.","required":false,"schema":{"type":"string","format":"date"}},{"name":"resId","in":"query","description":"The identifier of the resource. The default format is a Universally Unique IDentifier (UUID).","required":false,"schema":{"type":"string"}},{"name":"sipId","in":"query","description":"The generated SIP identifier of the deposit.","required":false,"schema":{"type":"string"}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"status","in":"query","description":"The status of the deposit.","required":false,"schema":{"type":"string","enum":["APPROVED","CHECKED","CLEANED","CLEANING","COMPLETED","DELETING","IN_ERROR","IN_PROGRESS","IN_VALIDATION","REJECTED","SUBMITTED","EDITING_METADATA","UPGRADING_METADATA","CHECKING_COMPLIANCE","CHECKING_COMPLIANCE_CLEANED","COMPLIANCE_ERROR","CANCEL_EDITING_METADATA","EDITING_METADATA_REJECTED","SUBMISSION_AGREEMENT_APPROVED","RELOADING"]}},{"name":"statusMessage","in":"query","description":"The detailed message related to the deposit status.","required":false,"schema":{"type":"string"}},{"name":"submissionPolicyId","in":"query","description":"The submission policy identifier of the deposit.","required":false,"schema":{"type":"string"}},{"name":"title","in":"query","description":"The title of the deposit.","required":false,"schema":{"type":"string"}},{"name":"lightVersion","in":"query","required":true,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionDeposit"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Deposit"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Deposit"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_deleteList","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{parentid}/submission-agreements":{"get":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_submission-agreements_list","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionSubmissionAgreement"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_submission-agreements_create","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SubmissionAgreement"}}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_submission-agreements_deleteList","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{parentid}/subject-areas":{"get":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_subject-areas_list","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionSubjectArea"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_subject-areas_create","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SubjectArea"}}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_subject-areas_deleteList","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{parentid}/licenses":{"get":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_licenses_list","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionLicense"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_licenses_create","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/License"}}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_licenses_deleteList","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{parentid}/data":{"get":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_data_list","parameters":[{"name":"complianceLevel","in":"query","required":false,"schema":{"type":"string","enum":["NOT_ASSESSED","NO_COMPLIANCE","WEAK_COMPLIANCE","AVERAGE_COMPLIANCE","FULL_COMPLIANCE"]}},{"name":"dataCategory","in":"query","required":false,"schema":{"type":"string","enum":["Primary","Observational","Experimental","Simulation","Derived","Reference","Digitalized","Secondary","Publication","DataPaper","Documentation","Software","Code","Binaries","VirtualMachine","Administrative","Document","WebSite","Other","Package","InformationPackage","UpdatePackage","Metadata","CustomMetadata","UpdatedMetadata","Internal","DatasetThumbnail","ArchiveThumbnail","ArchiveReadme","DatafileThumbnail","ArchiveDataUseAgreement"]}},{"name":"dataType","in":"query","required":false,"schema":{"type":"string","enum":["Primary","Observational","Experimental","Simulation","Derived","Reference","Digitalized","Secondary","Publication","DataPaper","Documentation","Software","Code","Binaries","VirtualMachine","Administrative","Document","WebSite","Other","Package","InformationPackage","UpdatePackage","Metadata","CustomMetadata","UpdatedMetadata","Internal","DatasetThumbnail","ArchiveThumbnail","ArchiveReadme","DatafileThumbnail","ArchiveDataUseAgreement"]}},{"name":"fileName","in":"query","required":false,"schema":{"type":"string"}},{"name":"fileSize","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"finalData","in":"query","required":false,"schema":{"type":"string","format":"uri"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"relativeLocation","in":"query","required":false,"schema":{"type":"string"}},{"name":"resId","in":"query","description":"The identifier of the resource. The default format is a Universally Unique IDentifier (UUID).","required":false,"schema":{"type":"string"}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"sourceData","in":"query","required":false,"schema":{"type":"string","format":"uri"}},{"name":"status","in":"query","required":false,"schema":{"type":"string","enum":["CHANGE_RELATIVE_LOCATION","CHANGE_DATA_CATEGORY","CLEANED","CLEANING","EXCLUDED_FILE","CHECK_COMPLIANCE","CHECK_COMPLIANCE_CLEANED","CHECKED_COMPLIANCE","CHECKED_COMPLIANCE_CLEANED","IGNORED_FILE","DOWNLOAD_IN_PROGRESS","FILE_FORMAT_IDENTIFIED","FILE_FORMAT_SKIPPED","FILE_FORMAT_UNKNOWN","IN_ERROR","PROCESSED","READY","RECEIVED","TO_PROCESS","VIRUS_CHECKED","VIRUS_SKIPPED"]}},{"name":"statusMessage","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionDepositDataFile"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_data_create","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DepositDataFile"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DepositDataFile"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_data_deleteList","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{parentid}/data/{id}/validate":{"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_data_by_id_validate","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{parentid}/data/{id}/resume":{"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_data_by_id_resume","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{parentid}/data/validate":{"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_data_validate","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{parentid}/data/resume":{"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_data_resume","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{parentid}/data/resume-all":{"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_data_resume-all_resumeList","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{parentid}/data/delete-folder":{"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_data_delete-folder","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"relativeLocation","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{parentid}/contributors":{"get":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_contributors_list","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionPerson"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_contributors_create","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Person"}}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_contributors_deleteList","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{parentid}/aip":{"get":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_aip_list","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionArchivalInfoPackage"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_aip_create","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ArchivalInfoPackage"}}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_aip_deleteList","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{id}/upload":{"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_upload","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"category","in":"query","required":false,"schema":{"type":"string"}},{"name":"type","in":"query","required":false,"schema":{"type":"string"}},{"name":"folder","in":"query","required":false,"schema":{"type":"string"}},{"name":"metadataType","in":"query","required":false,"schema":{"type":"string"}},{"name":"checksumMd5","in":"query","required":false,"schema":{"type":"string"}},{"name":"checksumMd5Origin","in":"query","required":false,"schema":{"type":"string"}},{"name":"checksumSha1","in":"query","required":false,"schema":{"type":"string"}},{"name":"checksumSha1Origin","in":"query","required":false,"schema":{"type":"string"}},{"name":"checksumSha256","in":"query","required":false,"schema":{"type":"string"}},{"name":"checksumSha256Origin","in":"query","required":false,"schema":{"type":"string"}},{"name":"checksumSha512","in":"query","required":false,"schema":{"type":"string"}},{"name":"checksumSha512Origin","in":"query","required":false,"schema":{"type":"string"}},{"name":"checksumCrc32","in":"query","required":false,"schema":{"type":"string"}},{"name":"checksumCrc32Origin","in":"query","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}},"required":["file"]}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DepositDataFile"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{id}/upload-metadata":{"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_upload-metadata","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}},"required":["file"]}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DepositDataFile"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{id}/upload-archive":{"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_upload-archive","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"category","in":"query","required":false,"schema":{"type":"string","enum":["Primary","Observational","Experimental","Simulation","Derived","Reference","Digitalized","Secondary","Publication","DataPaper","Documentation","Software","Code","Binaries","VirtualMachine","Administrative","Document","WebSite","Other","Package","InformationPackage","UpdatePackage","Metadata","CustomMetadata","UpdatedMetadata","Internal","DatasetThumbnail","ArchiveThumbnail","ArchiveReadme","DatafileThumbnail","ArchiveDataUseAgreement"]}},{"name":"type","in":"query","required":false,"schema":{"type":"string","enum":["Primary","Observational","Experimental","Simulation","Derived","Reference","Digitalized","Secondary","Publication","DataPaper","Documentation","Software","Code","Binaries","VirtualMachine","Administrative","Document","WebSite","Other","Package","InformationPackage","UpdatePackage","Metadata","CustomMetadata","UpdatedMetadata","Internal","DatasetThumbnail","ArchiveThumbnail","ArchiveReadme","DatafileThumbnail","ArchiveDataUseAgreement"]}},{"name":"metadataType","in":"query","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}},"required":["file"]}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DepositDataFile"}}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{id}/submit-for-approval":{"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_submit-for-approval","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{id}/start-metadata-upgrade":{"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_start-metadata-upgrade_putInMetadataUpgrading","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{id}/start-metadata-editing":{"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_start-metadata-editing_putInMetadataEditing","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{id}/reserve-doi":{"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_reserve-doi","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Deposit"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{id}/reject":{"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_reject","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"reason","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{id}/put-in-error":{"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_put-in-error","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{id}/generate-anonymized-deposit-page":{"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_generate-anonymized-deposit-page","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{id}/enable-revision":{"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_enable-revision","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{id}/clean":{"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_clean","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{id}/check-submission-agreement":{"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_check-submission-agreement","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{id}/check-compliance":{"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_check-compliance","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{id}/cancel-metadata-editing":{"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_cancel-metadata-editing","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{id}/approve":{"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_approve","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{id}/approve-submission-agreement":{"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_approve-submission-agreement","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/search":{"get":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_search_advancedSearch_get","parameters":[{"name":"access","in":"query","description":"The access level of the deposit.","required":false,"schema":{"type":"string","enum":["PUBLIC","RESTRICTED","CLOSED"]}},{"name":"additionalFieldsFormId","in":"query","description":"The additional fields form ID used to generate the additional fields values.","required":false,"schema":{"type":"string"}},{"name":"additionalFieldsValues","in":"query","description":"Some eventual additional fields values generated through an additional fields form.","required":false,"schema":{"type":"string"}},{"name":"archiveTypeId","in":"query","description":"The archive type identifier of the deposit.","required":false,"schema":{"type":"string"}},{"name":"ark","in":"query","description":"The ARK Identifier of the deposit.","required":false,"schema":{"type":"string"}},{"name":"collectionBegin","in":"query","description":"The start date of the deposit for collecting data.","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"collectionEnd","in":"query","description":"The end date of the deposit for collecting data.","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"containsUpdatedMetadata","in":"query","description":"If the package contains updated metadata.","required":false,"schema":{"type":"boolean"}},{"name":"contentStructurePublic","in":"query","description":"If the archive structure content is public.","required":false,"schema":{"type":"boolean"}},{"name":"dataSensitivity","in":"query","description":"The data sensitivity of the deposit.","required":false,"schema":{"type":"string","enum":["UNDEFINED","BLUE","GREEN","YELLOW","ORANGE","RED","CRIMSON"]}},{"name":"dataUsePolicy","in":"query","description":"The data use policy of the deposit.","required":false,"schema":{"type":"string","enum":["NONE","LICENSE","CLICK_THROUGH_DUA","SIGNED_DUA","EXTERNAL_DUA"]}},{"name":"description","in":"query","description":"The description of the deposit.","required":false,"schema":{"type":"string"}},{"name":"doi","in":"query","description":"The Digital Object Identifier (DOI) of the deposit.","required":false,"schema":{"type":"string"}},{"name":"isIdenticalTo","in":"query","description":"DOI indicates that Archive A is identical to B, used to register two separate instances of the same resource.","required":false,"schema":{"type":"string"}},{"name":"isObsoletedBy","in":"query","description":"DOI indicates A is replaced by B.","required":false,"schema":{"type":"string"}},{"name":"languageId","in":"query","description":"The language identifier of the deposit.","required":false,"schema":{"type":"string"}},{"name":"licenseId","in":"query","description":"The license identifier of the deposit.","required":false,"schema":{"type":"string"}},{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"metadataVersion","in":"query","description":"The metadata version of the deposit.","required":false,"schema":{"type":"string","enum":["1.0","1.1","2.0","2.1","3.0","3.1","4.0","5.0"]}},{"name":"organizationalUnitId","in":"query","description":"The organizational unit identifier of the deposit.","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"preparationId","in":"query","description":"The preparation identifier of the deposit.","required":false,"schema":{"type":"string"}},{"name":"preservationPolicyId","in":"query","description":"The preservation policy identifier of the deposit.","required":false,"schema":{"type":"string"}},{"name":"publicationDate","in":"query","description":"The publication date of the deposit.","required":false,"schema":{"type":"string","format":"date"}},{"name":"resId","in":"query","description":"The identifier of the resource. The default format is a Universally Unique IDentifier (UUID).","required":false,"schema":{"type":"string"}},{"name":"search","in":"query","required":true,"schema":{"type":"string"}},{"name":"sipId","in":"query","description":"The generated SIP identifier of the deposit.","required":false,"schema":{"type":"string"}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"status","in":"query","description":"The status of the deposit.","required":false,"schema":{"type":"string","enum":["APPROVED","CHECKED","CLEANED","CLEANING","COMPLETED","DELETING","IN_ERROR","IN_PROGRESS","IN_VALIDATION","REJECTED","SUBMITTED","EDITING_METADATA","UPGRADING_METADATA","CHECKING_COMPLIANCE","CHECKING_COMPLIANCE_CLEANED","COMPLIANCE_ERROR","CANCEL_EDITING_METADATA","EDITING_METADATA_REJECTED","SUBMISSION_AGREEMENT_APPROVED","RELOADING"]}},{"name":"statusMessage","in":"query","description":"The detailed message related to the deposit status.","required":false,"schema":{"type":"string"}},{"name":"submissionPolicyId","in":"query","description":"The submission policy identifier of the deposit.","required":false,"schema":{"type":"string"}},{"name":"title","in":"query","description":"The title of the deposit.","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionDeposit"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_search_advancedSearch_post","parameters":[{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Deposit"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionDeposit"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/ingest/sip":{"get":{"tags":["ingest/sip"],"operationId":"ingest_sip_list","parameters":[{"name":"aipId","in":"query","description":"The generated AIP identifier of the SIP.","required":false,"schema":{"type":"string"}},{"name":"depositId","in":"query","description":"The source deposit identifier of the SIP.","required":false,"schema":{"type":"string"}},{"name":"dispositionApproval","in":"query","description":"If the approval step the AIP disposal is mandatory.","required":false,"schema":{"type":"boolean"}},{"name":"mainStorage","in":"query","description":"The main storage indice in configuration if the SIP. O means default storage (first one).","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"publicationDate","in":"query","description":"The publication date of the deposit.","required":false,"schema":{"type":"string","format":"date"}},{"name":"resId","in":"query","description":"The identifier of the resource. The default format is a Universally Unique IDentifier (UUID).","required":false,"schema":{"type":"string"}},{"name":"retention","in":"query","description":"The retention duration in days of the AIP: O means forever.","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"submissionPolicyId","in":"query","description":"The submission policy identifier of the SIP.","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionSubmissionInfoPackage"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["ingest/sip"],"operationId":"ingest_sip_create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubmissionInfoPackage"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SubmissionInfoPackage"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["ingest/sip"],"operationId":"ingest_sip_deleteList","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/ingest/sip/{parentid}/data":{"get":{"tags":["ingest/sip"],"operationId":"ingest_sip_by_id_data_list","parameters":[{"name":"complianceLevel","in":"query","required":false,"schema":{"type":"string","enum":["NOT_ASSESSED","NO_COMPLIANCE","WEAK_COMPLIANCE","AVERAGE_COMPLIANCE","FULL_COMPLIANCE"]}},{"name":"dataCategory","in":"query","required":false,"schema":{"type":"string","enum":["Primary","Observational","Experimental","Simulation","Derived","Reference","Digitalized","Secondary","Publication","DataPaper","Documentation","Software","Code","Binaries","VirtualMachine","Administrative","Document","WebSite","Other","Package","InformationPackage","UpdatePackage","Metadata","CustomMetadata","UpdatedMetadata","Internal","DatasetThumbnail","ArchiveThumbnail","ArchiveReadme","DatafileThumbnail","ArchiveDataUseAgreement"]}},{"name":"dataType","in":"query","required":false,"schema":{"type":"string","enum":["Primary","Observational","Experimental","Simulation","Derived","Reference","Digitalized","Secondary","Publication","DataPaper","Documentation","Software","Code","Binaries","VirtualMachine","Administrative","Document","WebSite","Other","Package","InformationPackage","UpdatePackage","Metadata","CustomMetadata","UpdatedMetadata","Internal","DatasetThumbnail","ArchiveThumbnail","ArchiveReadme","DatafileThumbnail","ArchiveDataUseAgreement"]}},{"name":"fileName","in":"query","required":false,"schema":{"type":"string"}},{"name":"fileSize","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"finalData","in":"query","required":false,"schema":{"type":"string","format":"uri"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"relativeLocation","in":"query","required":false,"schema":{"type":"string"}},{"name":"resId","in":"query","description":"The identifier of the resource. The default format is a Universally Unique IDentifier (UUID).","required":false,"schema":{"type":"string"}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"sourceData","in":"query","required":false,"schema":{"type":"string","format":"uri"}},{"name":"status","in":"query","required":false,"schema":{"type":"string","enum":["CHANGE_RELATIVE_LOCATION","CHANGE_DATA_CATEGORY","CLEANED","CLEANING","EXCLUDED_FILE","CHECK_COMPLIANCE","CHECK_COMPLIANCE_CLEANED","CHECKED_COMPLIANCE","CHECKED_COMPLIANCE_CLEANED","IGNORED_FILE","DOWNLOAD_IN_PROGRESS","FILE_FORMAT_IDENTIFIED","FILE_FORMAT_SKIPPED","FILE_FORMAT_UNKNOWN","IN_ERROR","PROCESSED","READY","RECEIVED","TO_PROCESS","VIRUS_CHECKED","VIRUS_SKIPPED"]}},{"name":"statusMessage","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionSipDataFile"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["ingest/sip"],"operationId":"ingest_sip_by_id_data_create","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SipDataFile"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SipDataFile"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["ingest/sip"],"operationId":"ingest_sip_by_id_data_deleteList","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/ingest/sip/{parentid}/data/{id}/resume":{"post":{"tags":["ingest/sip"],"operationId":"ingest_sip_by_id_data_by_id_resume","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/ingest/sip/{parentid}/data/{id}/put-in-error":{"post":{"tags":["ingest/sip"],"operationId":"ingest_sip_by_id_data_by_id_put-in-error","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/ingest/sip/{parentid}/aip":{"get":{"tags":["ingest/sip"],"operationId":"ingest_sip_by_id_aip_list","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionArchivalInfoPackage"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["ingest/sip"],"operationId":"ingest_sip_by_id_aip_create","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ArchivalInfoPackage"}}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["ingest/sip"],"operationId":"ingest_sip_by_id_aip_deleteList","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/ingest/sip/{id}/upload":{"post":{"tags":["ingest/sip"],"operationId":"ingest_sip_by_id_upload_sendFile","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}},"required":["file"]}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SipDataFile"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/ingest/sip/{id}/start-metadata-upgrade":{"post":{"tags":["ingest/sip"],"operationId":"ingest_sip_by_id_start-metadata-upgrade_putInMetadataUpgrading","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/ingest/sip/{id}/start-metadata-editing":{"post":{"tags":["ingest/sip"],"operationId":"ingest_sip_by_id_start-metadata-editing_putInMetadataEditing","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/ingest/sip/{id}/resume":{"post":{"tags":["ingest/sip"],"operationId":"ingest_sip_by_id_resume","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/ingest/sip/{id}/resubmit":{"post":{"tags":["ingest/sip"],"operationId":"ingest_sip_by_id_resubmit","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/ingest/sip/{id}/put-in-error":{"post":{"tags":["ingest/sip"],"operationId":"ingest_sip_by_id_put-in-error","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/ingest/sip/{id}/clean":{"post":{"tags":["ingest/sip"],"operationId":"ingest_sip_by_id_clean","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/ingest/sip/search":{"get":{"tags":["ingest/sip"],"operationId":"ingest_sip_search_advancedSearch_get","parameters":[{"name":"search","in":"query","required":true,"schema":{"type":"string"}},{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionSubmissionInfoPackage"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["ingest/sip"],"operationId":"ingest_sip_search_advancedSearch_post","parameters":[{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubmissionInfoPackage"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionSubmissionInfoPackage"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{parentid}/submission-agreements/{id}":{"get":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_submission-agreements_by_id_get","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SubmissionAgreement"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_submission-agreements_by_id_delete","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]},"patch":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_submission-agreements_by_id_update","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubmissionAgreement"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SubmissionAgreement"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{parentid}/subject-areas/{id}":{"get":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_subject-areas_by_id_get","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SubjectArea"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_subject-areas_by_id_delete","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]},"patch":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_subject-areas_by_id_update","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubjectArea"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SubjectArea"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{parentid}/licenses/{id}":{"get":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_licenses_by_id_get","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/License"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_licenses_by_id_delete","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]},"patch":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_licenses_by_id_update","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/License"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/License"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{parentid}/data/{id}":{"get":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_data_by_id_get","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DepositDataFile"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_data_by_id_delete","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]},"patch":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_data_by_id_update","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DepositDataFile"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{parentid}/contributors/{id}":{"get":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_contributors_by_id_get","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Person"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_contributors_by_id_delete","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]},"patch":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_contributors_by_id_update","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Person"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Person"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{parentid}/aip/{id}":{"get":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_aip_by_id_get","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ArchivalInfoPackage"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_aip_by_id_delete","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]},"patch":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_aip_by_id_update","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ArchivalInfoPackage"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ArchivalInfoPackage"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{id}":{"get":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_get","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Deposit"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_delete","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]},"patch":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_update","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Deposit"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/ingest/sip/{parentid}/data/{id}":{"get":{"tags":["ingest/sip"],"operationId":"ingest_sip_by_id_data_by_id_get","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SipDataFile"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["ingest/sip"],"operationId":"ingest_sip_by_id_data_by_id_delete","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]},"patch":{"tags":["ingest/sip"],"operationId":"ingest_sip_by_id_data_by_id_update","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SipDataFile"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/ingest/sip/{parentid}/aip/{id}":{"get":{"tags":["ingest/sip"],"operationId":"ingest_sip_by_id_aip_by_id_get","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ArchivalInfoPackage"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["ingest/sip"],"operationId":"ingest_sip_by_id_aip_by_id_delete","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]},"patch":{"tags":["ingest/sip"],"operationId":"ingest_sip_by_id_aip_by_id_update","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ArchivalInfoPackage"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ArchivalInfoPackage"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/ingest/sip/{id}":{"get":{"tags":["ingest/sip"],"operationId":"ingest_sip_by_id_get","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SubmissionInfoPackage"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["ingest/sip"],"operationId":"ingest_sip_by_id_delete","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]},"patch":{"tags":["ingest/sip"],"operationId":"ingest_sip_by_id_update","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SubmissionInfoPackage"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/sso-user":{"get":{"tags":["sso-user"],"operationId":"sso-user_user","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/User"}}}}}}},"/resource-srv":{"get":{"tags":["resource-srv"],"operationId":"resource-srv_home","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Module"}}}}}}},"/resource-srv/checkTool":{"get":{"tags":["resource-srv/checkTool"],"operationId":"resource-srv_checkTool","parameters":[{"name":"toolName","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}}}}},"/preingest":{"get":{"tags":["preingest"],"operationId":"preingest_home","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Module"}}}}}}},"/preingest/deposits/{parentid}/data/{id}/history":{"get":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_data_by_id_history","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionStatusHistory"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{parentid}/data/{id}/download":{"get":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_data_by_id_download","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{parentid}/data/{id}/download-token":{"get":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_data_by_id_download-token_getTokenForDepositDataFile","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DownloadToken"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{parentid}/data/search":{"get":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_data_search_get","parameters":[{"name":"complianceLevel","in":"query","required":false,"schema":{"type":"string","enum":["NOT_ASSESSED","NO_COMPLIANCE","WEAK_COMPLIANCE","AVERAGE_COMPLIANCE","FULL_COMPLIANCE"]}},{"name":"dataCategory","in":"query","required":false,"schema":{"type":"string","enum":["Primary","Observational","Experimental","Simulation","Derived","Reference","Digitalized","Secondary","Publication","DataPaper","Documentation","Software","Code","Binaries","VirtualMachine","Administrative","Document","WebSite","Other","Package","InformationPackage","UpdatePackage","Metadata","CustomMetadata","UpdatedMetadata","Internal","DatasetThumbnail","ArchiveThumbnail","ArchiveReadme","DatafileThumbnail","ArchiveDataUseAgreement"]}},{"name":"dataType","in":"query","required":false,"schema":{"type":"string","enum":["Primary","Observational","Experimental","Simulation","Derived","Reference","Digitalized","Secondary","Publication","DataPaper","Documentation","Software","Code","Binaries","VirtualMachine","Administrative","Document","WebSite","Other","Package","InformationPackage","UpdatePackage","Metadata","CustomMetadata","UpdatedMetadata","Internal","DatasetThumbnail","ArchiveThumbnail","ArchiveReadme","DatafileThumbnail","ArchiveDataUseAgreement"]}},{"name":"fileName","in":"query","required":false,"schema":{"type":"string"}},{"name":"fileSize","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"finalData","in":"query","required":false,"schema":{"type":"string","format":"uri"}},{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"relativeLocation","in":"query","required":false,"schema":{"type":"string"}},{"name":"resId","in":"query","description":"The identifier of the resource. The default format is a Universally Unique IDentifier (UUID).","required":false,"schema":{"type":"string"}},{"name":"search","in":"query","required":true,"schema":{"type":"string"}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"sourceData","in":"query","required":false,"schema":{"type":"string","format":"uri"}},{"name":"status","in":"query","required":false,"schema":{"type":"string","enum":["CHANGE_RELATIVE_LOCATION","CHANGE_DATA_CATEGORY","CLEANED","CLEANING","EXCLUDED_FILE","CHECK_COMPLIANCE","CHECK_COMPLIANCE_CLEANED","CHECKED_COMPLIANCE","CHECKED_COMPLIANCE_CLEANED","IGNORED_FILE","DOWNLOAD_IN_PROGRESS","FILE_FORMAT_IDENTIFIED","FILE_FORMAT_SKIPPED","FILE_FORMAT_UNKNOWN","IN_ERROR","PROCESSED","READY","RECEIVED","TO_PROCESS","VIRUS_CHECKED","VIRUS_SKIPPED"]}},{"name":"statusMessage","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionDepositDataFile"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{parentid}/data/list-status":{"get":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_data_list-status","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","enum":["CHANGE_RELATIVE_LOCATION","CHANGE_DATA_CATEGORY","CLEANED","CLEANING","EXCLUDED_FILE","CHECK_COMPLIANCE","CHECK_COMPLIANCE_CLEANED","CHECKED_COMPLIANCE","CHECKED_COMPLIANCE_CLEANED","IGNORED_FILE","DOWNLOAD_IN_PROGRESS","FILE_FORMAT_IDENTIFIED","FILE_FORMAT_SKIPPED","FILE_FORMAT_UNKNOWN","IN_ERROR","PROCESSED","READY","RECEIVED","TO_PROCESS","VIRUS_CHECKED","VIRUS_SKIPPED"]}}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{parentid}/data/list-folders":{"get":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_data_list-folders","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string"}}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{parentid}/data/list-current-status":{"get":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_data_list-current-status","parameters":[{"name":"complianceLevel","in":"query","required":false,"schema":{"type":"string","enum":["NOT_ASSESSED","NO_COMPLIANCE","WEAK_COMPLIANCE","AVERAGE_COMPLIANCE","FULL_COMPLIANCE"]}},{"name":"dataCategory","in":"query","required":false,"schema":{"type":"string","enum":["Primary","Observational","Experimental","Simulation","Derived","Reference","Digitalized","Secondary","Publication","DataPaper","Documentation","Software","Code","Binaries","VirtualMachine","Administrative","Document","WebSite","Other","Package","InformationPackage","UpdatePackage","Metadata","CustomMetadata","UpdatedMetadata","Internal","DatasetThumbnail","ArchiveThumbnail","ArchiveReadme","DatafileThumbnail","ArchiveDataUseAgreement"]}},{"name":"dataType","in":"query","required":false,"schema":{"type":"string","enum":["Primary","Observational","Experimental","Simulation","Derived","Reference","Digitalized","Secondary","Publication","DataPaper","Documentation","Software","Code","Binaries","VirtualMachine","Administrative","Document","WebSite","Other","Package","InformationPackage","UpdatePackage","Metadata","CustomMetadata","UpdatedMetadata","Internal","DatasetThumbnail","ArchiveThumbnail","ArchiveReadme","DatafileThumbnail","ArchiveDataUseAgreement"]}},{"name":"fileName","in":"query","required":false,"schema":{"type":"string"}},{"name":"fileSize","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"finalData","in":"query","required":false,"schema":{"type":"string","format":"uri"}},{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"relativeLocation","in":"query","required":false,"schema":{"type":"string"}},{"name":"resId","in":"query","description":"The identifier of the resource. The default format is a Universally Unique IDentifier (UUID).","required":false,"schema":{"type":"string"}},{"name":"sourceData","in":"query","required":false,"schema":{"type":"string","format":"uri"}},{"name":"status","in":"query","required":false,"schema":{"type":"string","enum":["CHANGE_RELATIVE_LOCATION","CHANGE_DATA_CATEGORY","CLEANED","CLEANING","EXCLUDED_FILE","CHECK_COMPLIANCE","CHECK_COMPLIANCE_CLEANED","CHECKED_COMPLIANCE","CHECKED_COMPLIANCE_CLEANED","IGNORED_FILE","DOWNLOAD_IN_PROGRESS","FILE_FORMAT_IDENTIFIED","FILE_FORMAT_SKIPPED","FILE_FORMAT_UNKNOWN","IN_ERROR","PROCESSED","READY","RECEIVED","TO_PROCESS","VIRUS_CHECKED","VIRUS_SKIPPED"]}},{"name":"statusMessage","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{id}/sip-package":{"get":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_sip-package_getSIP","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_sip-package_deleteSIP","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{id}/history":{"get":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_history","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionStatusHistory"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{id}/download":{"get":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_download_getFiles","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"folder","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{id}/download-token":{"get":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_download-token_getTokenForDeposit","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DownloadToken"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{id}/download-anonymized-deposit":{"get":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_download-anonymized-deposit","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/schema":{"get":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_schema","parameters":[{"name":"version","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StreamingResponseBody"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/profile":{"get":{"tags":["preingest/deposits"],"summary":"Download profile of a package","description":"Returns a binary stream (file).","operationId":"preingest_deposits_profile","parameters":[{"name":"version","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Binary file stream","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"404":{"description":"Profile not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StreamingResponseBody"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/list-status":{"get":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_list-status","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","enum":["APPROVED","CHECKED","CLEANED","CLEANING","COMPLETED","DELETING","IN_ERROR","IN_PROGRESS","IN_VALIDATION","REJECTED","SUBMITTED","EDITING_METADATA","UPGRADING_METADATA","CHECKING_COMPLIANCE","CHECKING_COMPLIANCE_CLEANED","COMPLIANCE_ERROR","CANCEL_EDITING_METADATA","EDITING_METADATA_REJECTED","SUBMISSION_AGREEMENT_APPROVED","RELOADING"]}}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/list-metadata-versions":{"get":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_list-metadata-versions","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string"}}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/list-ignore-files":{"get":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_list-ignore-files_ignoreList","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/FileList"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/list-exclude-files":{"get":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_list-exclude-files_excludeList","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/FileList"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/list-data-types":{"get":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_list-data-types","parameters":[{"name":"category","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","enum":["Primary","Observational","Experimental","Simulation","Derived","Reference","Digitalized","Secondary","Publication","DataPaper","Documentation","Software","Code","Binaries","VirtualMachine","Administrative","Document","WebSite","Other","Package","InformationPackage","UpdatePackage","Metadata","CustomMetadata","UpdatedMetadata","Internal","DatasetThumbnail","ArchiveThumbnail","ArchiveReadme","DatafileThumbnail","ArchiveDataUseAgreement"]}}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/list-data-categories":{"get":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_list-data-categories","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","enum":["Primary","Observational","Experimental","Simulation","Derived","Reference","Digitalized","Secondary","Publication","DataPaper","Documentation","Software","Code","Binaries","VirtualMachine","Administrative","Document","WebSite","Other","Package","InformationPackage","UpdatePackage","Metadata","CustomMetadata","UpdatedMetadata","Internal","DatasetThumbnail","ArchiveThumbnail","ArchiveReadme","DatafileThumbnail","ArchiveDataUseAgreement"]}}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/list-accesses":{"get":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_list-accesses","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","description":"Access level of the archive:\n- PUBLIC => Open Access & Everyone\n- RESTRICTED => Team members (i.e., Org. Unit) & Trusted parties\n- CLOSED => Case by case & Individuals\n","enum":["PUBLIC","RESTRICTED","CLOSED"]}}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/contributors":{"get":{"tags":["preingest/contributors"],"operationId":"preingest_contributors_list","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionContributor"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/contributors/{parentid}/deposits":{"get":{"tags":["preingest/contributors"],"operationId":"preingest_contributors_by_id_deposits_list","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"filterItem","in":"query","required":true,"schema":{"$ref":"#/components/schemas/DepositContributor"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionDeposit"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/contributors/{parentid}/deposits/{id}":{"get":{"tags":["preingest/contributors"],"operationId":"preingest_contributors_by_id_deposits_by_id_get","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Deposit"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/contributors/{id}":{"get":{"tags":["preingest/contributors"],"operationId":"preingest_contributors_by_id_get","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Contributor"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/ingest":{"get":{"tags":["ingest"],"operationId":"ingest_home","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Module"}}}}}}},"/ingest/sip/{parentid}/data/{id}/history":{"get":{"tags":["ingest/sip"],"operationId":"ingest_sip_by_id_data_by_id_history","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionStatusHistory"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/ingest/sip/{parentid}/data/{id}/download":{"get":{"tags":["ingest/sip"],"operationId":"ingest_sip_by_id_data_by_id_download","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/ingest/sip/{parentid}/data/{id}/download-token":{"get":{"tags":["ingest/sip"],"operationId":"ingest_sip_by_id_data_by_id_download-token_getTokenForSipDataFile","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DownloadToken"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/ingest/sip/{parentid}/data/list-status":{"get":{"tags":["ingest/sip"],"operationId":"ingest_sip_by_id_data_list-status","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","enum":["CHANGE_RELATIVE_LOCATION","CHANGE_DATA_CATEGORY","CLEANED","CLEANING","EXCLUDED_FILE","CHECK_COMPLIANCE","CHECK_COMPLIANCE_CLEANED","CHECKED_COMPLIANCE","CHECKED_COMPLIANCE_CLEANED","IGNORED_FILE","DOWNLOAD_IN_PROGRESS","FILE_FORMAT_IDENTIFIED","FILE_FORMAT_SKIPPED","FILE_FORMAT_UNKNOWN","IN_ERROR","PROCESSED","READY","RECEIVED","TO_PROCESS","VIRUS_CHECKED","VIRUS_SKIPPED"]}}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/ingest/sip/{id}/history":{"get":{"tags":["ingest/sip"],"operationId":"ingest_sip_by_id_history","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionStatusHistory"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/ingest/sip/{id}/download":{"get":{"tags":["ingest/sip"],"operationId":"ingest_sip_by_id_download_getFiles","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/ingest/sip/{id}/download-token":{"get":{"tags":["ingest/sip"],"operationId":"ingest_sip_by_id_download-token_getTokenForSip","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DownloadToken"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/ingest/sip/{id}/aip-package":{"get":{"tags":["ingest/sip"],"operationId":"ingest_sip_by_id_aip-package_getAIP","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["ingest/sip"],"operationId":"ingest_sip_by_id_aip-package_deleteAIP","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/ingest/sip/schema":{"get":{"tags":["ingest/sip"],"summary":"Download schema of a SIP","description":"Returns a binary stream (file) for the given SIP ID.","operationId":"ingest_sip_schema","parameters":[{"name":"version","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Binary file stream","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"404":{"description":"Schema of SIP not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StreamingResponseBody"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/ingest/sip/profile":{"get":{"tags":["ingest/sip"],"summary":"Download profile of a package","description":"Returns a binary stream (file).","operationId":"ingest_sip_profile","parameters":[{"name":"version","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Binary file stream","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"404":{"description":"Profile not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StreamingResponseBody"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/ingest/sip/list-status":{"get":{"tags":["ingest/sip"],"operationId":"ingest_sip_list-status","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","description":"OAIS Package Status:\n- CHECKED => Checked package during archiving process\n- CHECKING => A package verification is in progress during checking process\n- CHECK_PENDING => A package verification is pending during checking process\n- CLEANED => Cleaned package during cleaning process for SIP only\n- CLEANING => A package clean is in progress during cleaning process for SIP only\n- COMPLIANCE_LEVEL_UPDATE_PENDING => A package compliance update is pending\n- COMPLIANCE_LEVEL_UPDATED => The compliance levels of the package have been updated\n- COMPLETED => Completed package\n- DISPOSABLE => The Package is candidate for disposal process for AIP only\n- DISPOSAL_APPROVED_BY_ORGUNIT => Disposal org. unit approval done during disposal process for AIP only\n- DISPOSAL_APPROVED => Disposal approval done during disposal process for AIP only\n- DISPOSED => Disposed package for AIP only\n- DOWNLOADING => A package download is in progress\n- EDITING_METADATA => A package metadata edition is in progress\n- FIXING => A package correction is in progress\n- FIXITY_ERROR => Error when checking checksums\n- FIX_PENDING => A package correction is pending\n- INDEXING => A package indexing is in progress\n- IN_ERROR => Package in error during archiving process\n- IN_PREPARATION => Package in preparation during archiving process\n- IN_PROGRESS => A package archiving process is in progress\n- METADATA_EDITION_PENDING => A metadata edition is pending\n- METADATA_UPGRADE_PENDING => A metadata version upgrade is pending\n- PACKAGE_REPLICATION_PENDING => A package replication is pending\n- PRESERVATION_ERROR => Package in error during checking process\n- READY => Package Ready\n- REINDEXING => A package re-indexing is in progress\n- RELOADED => Reloaded package from storage location\n- REPLICATING_PACKAGE => A package replication is in progress\n- REPLICATING_TOMBSTONE => A tombstone package replication is in progress\n- RESUBMITTING => A package re-submission is in progress\n- STORED => Package stored on storage location\n- TOMBSTONE_REPLICATION_PENDING => A tombstone replication is pending\n- UPDATING_COMPLIANCE_LEVEL => A package compliance update is in progress\n- UPDATING_RETENTION => A package retention update is in progress during disposal process\n- UPGRADING_METADATA => A metadata version upgrade is in progress\n","enum":["CHECK_PENDING","CHECKING","CHECKED","CLEANING","CLEANED","COMPLETED","DOWNLOADING","IN_PREPARATION","IN_PROGRESS","STORED","INDEXING","READY","RETRIEVING","RETRIEVING_PENDING","IN_ERROR","PRESERVATION_ERROR","FIXITY_ERROR","DISPOSABLE","DISPOSAL_APPROVED_BY_ORGUNIT","DISPOSAL_APPROVED","DISPOSED","FIX_PENDING","FIXING","METADATA_EDITION_PENDING","EDITING_METADATA","UPDATING_RETENTION","METADATA_UPGRADE_PENDING","UPGRADING_METADATA","COMPLIANCE_LEVEL_UPDATE_PENDING","UPDATING_COMPLIANCE_LEVEL","COMPLIANCE_LEVEL_UPDATED","REINDEXING","RELOADED","RESUBMITTING","PACKAGE_REPLICATION_PENDING","REPLICATING_PACKAGE","TOMBSTONE_REPLICATION_PENDING","REPLICATING_TOMBSTONE"]}}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/ingest/sip/list-metadata-versions":{"get":{"tags":["ingest/sip"],"operationId":"ingest_sip_list-metadata-versions","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string"}}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/ingest/sip/list-data-types":{"get":{"tags":["ingest/sip"],"operationId":"ingest_sip_list-data-types","parameters":[{"name":"category","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","enum":["Primary","Observational","Experimental","Simulation","Derived","Reference","Digitalized","Secondary","Publication","DataPaper","Documentation","Software","Code","Binaries","VirtualMachine","Administrative","Document","WebSite","Other","Package","InformationPackage","UpdatePackage","Metadata","CustomMetadata","UpdatedMetadata","Internal","DatasetThumbnail","ArchiveThumbnail","ArchiveReadme","DatafileThumbnail","ArchiveDataUseAgreement"]}}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/ingest/sip/list-data-categories":{"get":{"tags":["ingest/sip"],"operationId":"ingest_sip_list-data-categories","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","enum":["Primary","Observational","Experimental","Simulation","Derived","Reference","Digitalized","Secondary","Publication","DataPaper","Documentation","Software","Code","Binaries","VirtualMachine","Administrative","Document","WebSite","Other","Package","InformationPackage","UpdatePackage","Metadata","CustomMetadata","UpdatedMetadata","Internal","DatasetThumbnail","ArchiveThumbnail","ArchiveReadme","DatafileThumbnail","ArchiveDataUseAgreement"]}}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/default-configuration":{"get":{"tags":["default-configuration"],"operationId":"default-configuration_getDefaultConfiguration","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DLCMDefaultConfig"}}}}}}},"/current-configuration":{"get":{"tags":["current-configuration"],"operationId":"current-configuration_getCurrentConfiguration","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DLCMConfig"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/":{"get":{"tags":["dlcm"],"operationId":"","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Module"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}}},"components":{"schemas":{"ArchiveType":{"type":"object","description":"Archive type based on DataCite notion.","properties":{"creation":{"$ref":"#/components/schemas/ChangeInfo"},"lastUpdate":{"$ref":"#/components/schemas/ChangeInfo"},"resId":{"type":"string","description":"The identifier of the resource. The default format is a Universally Unique IDentifier (UUID).","maxLength":50,"minLength":0},"masterType":{"$ref":"#/components/schemas/ArchiveType","description":"The master type of the archive type."},"typeName":{"type":"string","description":"The name of the archive type."},"masterArchiveType":{"type":"boolean","description":"If the archive type is a master type.","readOnly":true},"_links":{"$ref":"#/components/schemas/Links"}}},"ChangeInfo":{"type":"object","description":"The change information of an action.","properties":{"fullName":{"type":"string","description":"The full name of the user who did the action on the resource.","readOnly":true},"who":{"type":"string","description":"The user who did the action on the resource.","readOnly":true},"when":{"type":"string","format":"date-time","description":"The date when the action was done on the resources.","readOnly":true}}},"Deposit":{"type":"object","description":"A deposit is a simple package to prepare a SIP.\nDeposit status:\n- APPROVED => Approved deposit. The SIP preparation is in progress.\n- CANCEL_EDITING_METADATA => A cancellation of metadata edition is in progress.\n- CHECKED => Checked deposit. The deposit is ready for SIP preparation.\n- CHECKING_COMPLIANCE => A compliance check is in progress for completed deposits.\n- CHECKING_COMPLIANCE_CLEANED => A compliance check is in progress for cleaned deposits.\n- CLEANED => Cleaned deposit: the data file are purged based on submission policy.\n- CLEANING => A clean process is in progress.\n- COMPLETED => Completed deposit. The preparation of SIP is completed.\n- COMPLIANCE_ERROR => An error occurred during a compliance check.\n- DELETING => A deletion process is in progress.\n- EDITING_METADATA_REJECTED => The metadata edition was rejected.\n- EDITING_METADATA => The deposit is in edition mode for metadata.\n- IN_ERROR => An error occurred during the SIP preparation.\n- IN_PROGRESS => The deposit is in progress, ready for adding data files.\n- IN_VALIDATION => The deposit is waiting for an approval.\n- REJECTED => The deposit was rejected.\n- RELOADING => The deposit is a reload process.\n- SUBMITTED => Submitted deposit. The SIP preparation is in progress.\n- UPGRADING_METADATA => The deposit is in upgrade mode of metadata version.\n","properties":{"creation":{"$ref":"#/components/schemas/ChangeInfo"},"lastUpdate":{"$ref":"#/components/schemas/ChangeInfo"},"resId":{"type":"string","description":"The identifier of the resource. The default format is a Universally Unique IDentifier (UUID).","maxLength":50,"minLength":0},"searchCriterias":{"type":"array","items":{"$ref":"#/components/schemas/SearchCriteria"}},"access":{"type":"string","description":"The access level of the deposit.","enum":["PUBLIC","RESTRICTED","CLOSED"]},"dataSensitivity":{"type":"string","description":"The data sensitivity of the deposit.","enum":["UNDEFINED","BLUE","GREEN","YELLOW","ORANGE","RED","CRIMSON"]},"dataUsePolicy":{"type":"string","description":"The data use policy of the deposit.","enum":["NONE","LICENSE","CLICK_THROUGH_DUA","SIGNED_DUA","EXTERNAL_DUA"]},"dataFileNumber":{"type":"integer","format":"int32","description":"The number of deposit data files.","readOnly":true},"complianceLevel":{"type":"string","description":"The compliance level of the deposit.","enum":["NOT_ASSESSED","NO_COMPLIANCE","WEAK_COMPLIANCE","AVERAGE_COMPLIANCE","FULL_COMPLIANCE"]},"collectionBegin":{"type":"string","format":"date-time","description":"The start date of the deposit for collecting data."},"collectionEnd":{"type":"string","format":"date-time","description":"The end date of the deposit for collecting data."},"description":{"type":"string","description":"The description of the deposit.","maxLength":4096,"minLength":1},"doi":{"type":"string","description":"The Digital Object Identifier (DOI) of the deposit."},"ark":{"type":"string","description":"The ARK Identifier of the deposit."},"embargo":{"$ref":"#/components/schemas/EmbargoInfo
[...]
